Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] eix-0.33.0-r1 is blocking openrc
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
proteusx
Apprentice
Apprentice


Joined: 21 Jan 2008
Posts: 244

PostPosted: Mon Jan 01, 2018 2:47 pm    Post subject: [SOLVED] eix-0.33.0-r1 is blocking openrc Reply with quote

The systemd cancer has metastasised to eix and now wants to install
'sys-apps/opentmpfiles' , which is:
Quote:
DESCRIPTION="A standalone utility to process systemd-style tmpfiles.d files"


Code:
[nomerge      ] app-portage/eix-0.33.0-r1
[nomerge      ]  virtual/tmpfiles-0
[ebuild  N    ]   sys-apps/opentmpfiles-0.1.3
[blocks B     ] <sys-apps/openrc-0.23 ("<sys-apps/openrc-0.23" is blocking sys-apps/opentmpfiles-0.1.3)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (sys-apps/openrc-0.17:0/0::my-overlays, installed) pulled in by
    >=sys-apps/openrc-0.15 required by (net-misc/netifrc-0.6.0:0/0::gentoo, installed)
    sys-apps/openrc required by (virtual/service-manager-0:0/0::gentoo, installed)

  (sys-apps/opentmpfiles-0.1.3:0/0::gentoo, ebuild scheduled for merge) pulled in by
    sys-apps/opentmpfiles required by (virtual/tmpfiles-0:0/0::gentoo, installed)


What options are there now?
-- Give up eix?
-- A package.provided entry for sys-app/opentmpfiles?
-- Install a newer systemd-philiac version of openrc and have my intelligence insulted ?


Last edited by proteusx on Mon Jan 01, 2018 11:57 pm; edited 1 time in total
Back to top
View user's profile Send private message
charles17
Advocate
Advocate


Joined: 02 Mar 2008
Posts: 2655

PostPosted: Mon Jan 01, 2018 3:04 pm    Post subject: Reply with quote

Why sys-apps/openrc-0.17:0/0::my-overlays? Why not use default?
Back to top
View user's profile Send private message
proteusx
Apprentice
Apprentice


Joined: 21 Jan 2008
Posts: 244

PostPosted: Mon Jan 01, 2018 3:19 pm    Post subject: Reply with quote

charles17 wrote:
Why sys-apps/openrc-0.17:0/0::my-overlays? Why not use default?
Default openrc installs systemd polluted init.d scripts, and loads modules without asking.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 22153
Location: here

PostPosted: Mon Jan 01, 2018 3:41 pm    Post subject: Reply with quote

https://forums.gentoo.org/viewtopic-t-1059820.html
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43546
Location: 56N 3W

PostPosted: Mon Jan 01, 2018 6:10 pm    Post subject: Reply with quote

Moved from Portage & Programming to Unsupported Software.
Old versions of openrc are not offcially supported.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3668
Location: Germany

PostPosted: Mon Jan 01, 2018 8:52 pm    Post subject: Reply with quote

proteusx wrote:
charles17 wrote:
Why sys-apps/openrc-0.17:0/0::my-overlays? Why not use default?
Default openrc installs systemd polluted init.d scripts, and loads modules without asking.

No, it loads the virtualbox module only automatically if /etc/modules-load.d/virtualbox.conf is not present.
touch /etc/modules-load.d/virtualbox.conf
should help.

/edit: See this thread: https://forums.gentoo.org/viewtopic-p-8096930.html#8096930
Back to top
View user's profile Send private message
khayyam
Watchman
Watchman


Joined: 07 Jun 2012
Posts: 6228
Location: Room 101

PostPosted: Mon Jan 01, 2018 9:22 pm    Post subject: Reply with quote

proteusx ...

the reason for the dependency is probably that eix has moved to using opentempfiles for file creation ... you can find a previous/related discussion of the subject here.

best ... khay
Back to top
View user's profile Send private message
proteusx
Apprentice
Apprentice


Joined: 21 Jan 2008
Posts: 244

PostPosted: Mon Jan 01, 2018 9:35 pm    Post subject: Reply with quote

Josef.95 wrote:
proteusx wrote:
charles17 wrote:
Why sys-apps/openrc-0.17:0/0::my-overlays? Why not use default?
Default openrc installs systemd polluted init.d scripts, and loads modules without asking.

No, it loads the virtualbox module only automatically if /etc/modules-load.d/virtualbox.conf is not present.
touch /etc/modules-load.d/virtualbox.conf
should help.

/edit: See this thread: https://forums.gentoo.org/viewtopic-p-8096930.html#8096930


My complaint is about the script '/etc/init.d/modules-load' which makes openrc behave like systemd and loads
modules from /usr/lib/modules-load.d automatically. This was done without asking. I filed a bug report .
Once I was aware of this I could stop it in many ways, including you suggestion, but I opted to install openrc-0.17 and do away with all that systemd compatibility nonsense.

Some developers assume that we are thick and that we do not know how to load our modules.
It seems they forget that this is Gentoo.
Back to top
View user's profile Send private message
Ant P.
Watchman
Watchman


Joined: 18 Apr 2009
Posts: 5876

PostPosted: Mon Jan 01, 2018 9:41 pm    Post subject: Re: eix-0.33.0-r1 is blocking openrc Reply with quote

proteusx wrote:
What options are there now?
-- Give up eix?
-- A package.provided entry for sys-app/opentmpfiles?
-- Install a newer systemd-philiac version of openrc and have my intelligence insulted ?

How about "fix it yourself"? The source is right there in /usr/lib/tmpfiles.d/eix.conf (a single line in MAKEDEV format) and /bin/tmpfiles (a bash script, no more complicated than the net.lo you already use). Go ahead and rewrite those until they're sufficiently not-systemd for your liking.

By the way, you might want to uninstall sysvinit while you're at it - by the same definition it's also "impure" because it installs binaries with the same name systemd uses.


Last edited by Ant P. on Mon Jan 01, 2018 9:44 pm; edited 1 time in total
Back to top
View user's profile Send private message
NeddySeagoon
Administrator
Administrator


Joined: 05 Jul 2003
Posts: 43546
Location: 56N 3W

PostPosted: Mon Jan 01, 2018 9:43 pm    Post subject: Reply with quote

proteusx,

It works for me,
Code:
[I] app-portage/eix
     Available versions:  0.32.9{tbz2} (~)0.33.0-r1{tbz2} {debug doc nls sqlite LINGUAS="de ru"}
     Installed versions:  0.33.0-r1{tbz2}(19:56:03 03/11/17)(nls sqlite -debug -doc LINGUAS="-de -ru")

[I] sys-apps/openrc
     Available versions:  0.17{tbz2}[1] [m]0.28 [m]0.32.1 [m]0.34.11 [m]**9999 {audit debug ncurses +netifrc newnet pam prefix selinux static-libs tools unicode KERNEL="FreeBSD linux"}
     Installed versions:  0.17{tbz2}(10:21:46 24/01/16)(ncurses netifrc pam tools unicode -audit -debug -newnet -prefix -selinux -static-libs KERNEL="linux -FreeBSD")


I suspect you are not showing us everything.
_________________
Regards,

NeddySeagoon

Computer users fall into two groups:-
those that do backups
those that have never had a hard drive fail.
Back to top
View user's profile Send private message
proteusx
Apprentice
Apprentice


Joined: 21 Jan 2008
Posts: 244

PostPosted: Mon Jan 01, 2018 9:47 pm    Post subject: Reply with quote

@khayyam
Thank you.
I put sys-apps/opentempfiles in /etc/portage/profile/package.provided and eix seems to merge ok and working fine.
Back to top
View user's profile Send private message
proteusx
Apprentice
Apprentice


Joined: 21 Jan 2008
Posts: 244

PostPosted: Mon Jan 01, 2018 11:56 pm    Post subject: Reply with quote

NeddySeagoon wrote:
proteusx,

It works for me,
Code:
[I] app-portage/eix
     Available versions:  0.32.9{tbz2} (~)0.33.0-r1{tbz2} {debug doc nls sqlite LINGUAS="de ru"}
     Installed versions:  0.33.0-r1{tbz2}(19:56:03 03/11/17)(nls sqlite -debug -doc LINGUAS="-de -ru")

[I] sys-apps/openrc
     Available versions:  0.17{tbz2}[1] [m]0.28 [m]0.32.1 [m]0.34.11 [m]**9999 {audit debug ncurses +netifrc newnet pam prefix selinux static-libs tools unicode KERNEL="FreeBSD linux"}
     Installed versions:  0.17{tbz2}(10:21:46 24/01/16)(ncurses netifrc pam tools unicode -audit -debug -newnet -prefix -selinux -static-libs KERNEL="linux -FreeBSD")


I suspect you are not showing us everything.


I can assure you that everything was shown.
Now it works for me too:
Code:
# eix eix
[I] app-portage/eix
     Available versions:  0.32.9{tbz2} (~)0.33.0-r1{tbz2} {debug doc nls sqlite LINGUAS="de ru"}
     Installed versions:  0.33.0-r1{tbz2}(11:55:25 PM 01/01/2018)(nls -debug -doc -sqlite LINGUAS="-de -ru")
   
# eix sys-apps/openrc
[I] sys-apps/openrc
     Available versions:  0.17[1] [m]0.28 [m]0.32.1 [m]0.34.11 [m]**9999 {audit debug ncurses +netifrc newnet pam prefix selinux static-libs tools unicode ELIBC="glibc" KERNEL="FreeBSD linux"}
     Installed versions:  0.17[1](10:16:27 PM 12/08/2017)(ncurses netifrc pam unicode -audit -debug -newnet -prefix -selinux -static-libs -tools ELIBC="glibc" KERNEL="linux -FreeBSD")
     Homepage:            https://github.com/openrc/openrc/
     Description:         OpenRC manages the services, startup and shutdown of a host

[1] "my-overlays" /usr/portage/local


I also added /usr/lib/tmpfiles.d to the INSTALL_MASK
Code:
INSTALL_MASK="${INSTALL_MASK} /etc/systemd /usr/lib/systemd /usr/lib/modules-load.d /usr/lib/tmpfiles.d"
and I deleted all its contents.

So far everything works fine.
Thank you all for your help.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum